package swing;

import java.awt.GridLayout;
import java.awt.HeadlessException;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.WindowConstants;

/**
 * By inheriting JFrame we get ** A LOT ** of code to use
 * 
 *   ***** THIS IS ALL YOU NEED FOR YATZY ******
 *
 * @author hajo
 */
public class MainFrame extends JFrame {

  
    public MainFrame() {
        // Constructor for JFrame
        setTitle("Component Show");
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        setLocationRelativeTo(null);
        setSize(500,500);
        setLocationRelativeTo(null); 
        setLayout(new GridLayout(3,2,2,2)); // Last 2,2 is spacing
        add(new ButtonPanel());
        add(new LayoutPanel());
        add(new TextFieldPanel());
        add(new TextFieldMouseListenerPanel());
        add(new ToggleButtonPanel());
        setVisible(true);
    }

    
      
     // Just to start. Swing program always started like this
     public static void main(String args[]) {
        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                new MainFrame().setVisible(true);
            }
        });
    }  
   
}
